🧪 Create Workflow
Create a new workflow resource operation.
This endpoint is available for early access. The core schema is stable, but minor details — such as field names or added fields — may change before it becomes generally available. Backward compatibility is not guaranteed.
See API Stability & Versioning for details on provisional endpoints.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Whether to process the request synchronously. If true, Catena will attempt to create or update the resource immediately with the TSP and return the result in the response. When performing synchronous operations, you are responsible for handling any necessary retries in case of transient failures.If false (default), Catena will create an asynchronous operation, and you can check the status of the operation using the returned operation ID.
Body
Workflow model for creating planned jobs, routes, and dispatches.
Unique identifier of the connection at Catena Telematics which will be used to create this resource. A connection represents a Fleet/TSP pairing.
External system identifier for the workflow.
External system identifier for the driver.
External system identifier for the vehicle.
Name of the territory or region for the workflow.
Workflow status.
PLANNED, ACTIVE, COMPLETED, CANCELLED Datetime when the workflow started.
Datetime when the workflow ended.
Total workflow distance.
Unit for total_distance.
m, km, mi, ft, nmi Workflow-level instructions.
Workflow stops.
Response
The workflow was created successfully.
Resource operation model
The ID of the partner that created the operation.
The ID of the connection
The type of resource to operate on (e.g., vehicle, driver).
asset, driver_association, driver_vehicle_association, driver_event_log, driver_safety_event, dvir_log, dvir_log_defect, engine_log, engine_status, fuel_transaction, fleet_info, hos_availability, hos_daily_snapshot, hos_event, hos_event_annotation, hos_event_attachment, hos_violation, ifta_summary, location_segment, message, group_message, user, vehicle, vehicle_location, vehicle_sensor, vehicle_region_segment, trailer, trailer_association, trailer_vehicle_association, trailer_location, trailer_status, workflow The type of operation to perform (e.g., create, update).
create, update The payload of the operation, containing the resource attributes to be created or updated.
Unique identifier for the resource operation.
Immutable: The datetime the record was created in Catena Telematics.
The datetime the record was last modified in Catena Telematics.
The datetime the record was logically deleted from Catena Telematics.
Unique identifier of the record. Can be null for create operations where the source does not exist yet.
The unique identifier of the resource in the source system. Required for update operations.
The status of the operation
pending, success, failed Log entries for each attempt to execute this operation.